> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the matched transactions.



## OpenAPI

````yaml api-reference/openapi.json get /api/banking/matching/matched
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/banking/matching/matched:
    get:
      tags:
        - Banking Transactions Matching
      summary: Retrieves the matched transactions.
      operationId: BankingMatchingController_getMatchedTransactions
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: uncategorizedTransactionIds
          required: true
          in: query
          description: Uncategorized transaction IDs to match
          schema:
            type: array
            items: {}
        - name: fromDate
          required: false
          in: query
          description: Filter from date
          schema:
            example: '2024-01-01'
            type: string
        - name: toDate
          required: false
          in: query
          description: Filter to date
          schema:
            example: '2024-12-31'
            type: string
        - name: minAmount
          required: false
          in: query
          description: Minimum amount
          schema:
            example: 0
            type: number
        - name: maxAmount
          required: false
          in: query
          description: Maximum amount
          schema:
            example: 10000
            type: number
        - name: transactionType
          required: false
          in: query
          description: Transaction type filter
          schema:
            example: SaleInvoice
            type: string
      responses:
        '200':
          description: Matched transactions (perfect and possible matches).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMatchedTransactionsResponseDto'
components:
  schemas:
    GetMatchedTransactionsResponseDto:
      type: object
      properties:
        perfectMatches:
          description: Perfect matches (amount and date match)
          type: array
          items:
            $ref: '#/components/schemas/MatchedTransactionItemDto'
        possibleMatches:
          description: Possible matches (candidates)
          type: array
          items:
            $ref: '#/components/schemas/MatchedTransactionItemDto'
        totalPending:
          type: number
          description: Total pending amount
          example: 500
      required:
        - perfectMatches
        - possibleMatches
        - totalPending
    MatchedTransactionItemDto:
      type: object
      properties:
        amount:
          type: number
          description: Transaction amount
          example: 100.5
        amountFormatted:
          type: string
          description: Formatted amount
          example: $100.50
        date:
          type: string
          description: Transaction date
          example: '2024-01-15'
        dateFormatted:
          type: string
          description: Formatted date
          example: Jan 15, 2024
        referenceNo:
          type: string
          description: Reference number
          example: REF-001
        transactionNo:
          type: string
          description: Transaction number
          example: TXN-001
        transactionId:
          type: number
          description: Transaction ID
          example: 1
        transactionType:
          type: string
          description: Transaction type
          example: SaleInvoice
      required:
        - amount
        - amountFormatted
        - date
        - dateFormatted
        - referenceNo
        - transactionNo
        - transactionId
        - transactionType

````